> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quiz details 

> Get details of a quiz from its ID

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-quiz-details
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-quiz-details:
    post:
      tags:
        - Quiz
      summary: 'Get quiz details '
      description: >-
        Get details of a quiz from its ID


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          quizId:
                            type: string
                            minLength: 1
                            description: ID of quiz
                        required:
                          - quizId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                createdAtIso:
                                  type: string
                                  format: date-time
                                  description: The timestamp at which the quiz was created
                                quizTitle:
                                  type: string
                                  description: Title of the quiz
                                questions:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      questionId:
                                        type: string
                                        minLength: 1
                                        description: ID of the quiz question
                                      type:
                                        type: string
                                        enum:
                                          - MultiCorrect
                                          - SingleCorrect
                                        description: >-
                                          Type of quiz question (e.g., multiple
                                          choice, single choice)
                                      title:
                                        type: string
                                        description: >-
                                          The question text/title to display to
                                          users
                                      explanation:
                                        anyOf:
                                          - type: string
                                          - nullable: true
                                          - nullable: true
                                        description: >-
                                          Explanation shown after the question is
                                          answered. Null if no explanation is
                                          provided
                                      description:
                                        anyOf:
                                          - type: string
                                          - nullable: true
                                          - nullable: true
                                        description: >-
                                          Additional context or description for
                                          the question. Null if no description is
                                          provided
                                      options:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            optionId:
                                              type: string
                                              minLength: 1
                                              description: ID of the quiz question option
                                            text:
                                              type: string
                                              description: Text content of this answer option
                                            isCorrectOption:
                                              type: boolean
                                              description: >-
                                                Whether this option is a correct answer
                                                for the question
                                          required:
                                            - optionId
                                            - text
                                            - isCorrectOption
                                        description: >-
                                          Array of answer options for this
                                          question
                                    required:
                                      - questionId
                                      - type
                                      - title
                                      - explanation
                                      - description
                                      - options
                                  description: >-
                                    Array of questions in this quiz with their
                                    answer options
                              required:
                                - createdAtIso
                                - quizTitle
                                - questions
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````